> For the complete documentation index, see [llms.txt](https://docs.p4.software/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.p4.software/english-1/adjustments.md).

# Adjustments

## POST /adjustments

> Returns adjustments on given query.

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"AdjustmentQuery":{"type":"object","properties":{"condition":{"type":"string","nullable":true},"rules":{"type":"array","items":{"$ref":"#/components/schemas/Rule"},"nullable":true}},"additionalProperties":false},"Rule":{"type":"object","properties":{"field":{"type":"string","nullable":true},"value":{"type":"string","nullable":true},"operator":{"type":"string","nullable":true},"condition":{"type":"string","nullable":true},"rules":{"type":"array","items":{"$ref":"#/components/schemas/Rule"},"nullable":true}},"additionalProperties":false},"Adjustment":{"type":"object","properties":{"id":{"type":"string","format":"uuid","nullable":true},"timestamp":{"type":"string","format":"date-time","nullable":true},"client":{"type":"string","nullable":true},"subType":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"fromWarehouse":{"type":"string","nullable":true},"toWarehouse":{"type":"string","nullable":true},"productId":{"type":"string","format":"uuid"},"packsizeId":{"type":"string","format":"uuid","nullable":true},"sku":{"type":"string","nullable":true},"eachCount":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"lotNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"serialNumber":{"type":"string","nullable":true},"quantity":{"type":"number","format":"double","nullable":true},"reason":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/adjustments":{"post":{"tags":["Adjustments"],"summary":"Returns adjustments on given query.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentQuery"}},"text/json":{"schema":{"$ref":"#/components/schemas/AdjustmentQuery"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AdjustmentQuery"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Adjustment"}},"application/json":{"schema":{"$ref":"#/components/schemas/Adjustment"}},"text/json":{"schema":{"$ref":"#/components/schemas/Adjustment"}}}}}}}}}
```

## POST /adjustments/upload

> Marks a set of adjustments as uploaded

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"SetIntegrationReferenceRequest":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"integrationReference":{"type":"string","nullable":true},"integrationMessage":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/adjustments/upload":{"post":{"tags":["Adjustments"],"summary":"Marks a set of adjustments as uploaded","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetIntegrationReferenceRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/SetIntegrationReferenceRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SetIntegrationReferenceRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```
